SVNDiffStatus (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.SVNDiffStatus class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNDiffStatus

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNDiffStatus

public class SVNDiffStatus
extends Object

The SVNDiffStatus class is used to provide short information on path changes during diff status operations.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNDiffStatus(File file, SVNURL url, String path, SVNStatusType type, boolean propsModified, SVNNodeKind kind)` Instantiates a new object.

Method Summary
`File` | `getFile()` Returns File representation of the Working Copy item path.
`SVNNodeKind` | `getKind()` Returns the node kind of the Working Copy item.
`SVNStatusType` | `getModificationType()` Returns the type of modification for the current item.
`String` | `getPath()` Returns a relative path of the item.
`SVNURL` | `getURL()` Url of the item.
`boolean` | `isPropertiesModified()` Says whether properties of the Working Copy item are modified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNDiffStatus

    public SVNDiffStatus(File file,
                         SVNURL url,
                         String path,
                         SVNStatusType type,
                         boolean propsModified,
                         SVNNodeKind kind)

  Instantiates a new object.

Parameters:
  `file` - a wc item path
  `url` - an item url
  `path` - a relative item path (may be null)
  `type` - a type of path change
  `propsModified` - sets whether properties are modified
  `kind` - a path kind (dir or file)

Method Detail

### getFile

    public File getFile()

  Returns File representation of the Working Copy item path.

  Returns:
    wc item path as File

### isPropertiesModified

    public boolean isPropertiesModified()

  Says whether properties of the Working Copy item are modified.

  Returns:
    true if properties were modified in a particular revision, false otherwise

### getKind

    public SVNNodeKind getKind()

  Returns the node kind of the Working Copy item.

  Returns:
    node kind

### getModificationType

    public SVNStatusType getModificationType()

  Returns the type of modification for the current item.

  Returns:
    a path change type

### getPath

    public String getPath()

  Returns a relative path of the item. Set for Working Copy items and relative to the anchor of diff status operation.

  Returns:
    item path

### getURL

    public SVNURL getURL()

  Url of the item.

  Returns:
    item url

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.